Bug 174048 - ppp status info goes negative
ppp status info goes negative
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
bzcl34nup
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 20:02 EST by JW
Modified: 2014-11-09 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:55:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extends size of stats variables and corrects negative minutes (2.11 KB, patch)
2005-11-23 20:04 EST, JW
no flags Details | Diff

  None (edit)
Description JW 2005-11-23 20:02:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
pppd sets various environment variables before calling ip-down script.  Unfortunately these can sometimes show faulty values because of integer wrap.

Version-Release number of selected component (if applicable):
ppp-2.4.2-7

How reproducible:
Always

Steps to Reproduce:
1.create /etc/ppp/ip-down.local script using $BYTES_SENT
2.run pppd over a link for a long time
3.
  

Actual Results:  BYTES_SENT most probably wont be correct
CONNECT_TIME might show negative minutes.


Expected Results:  BYTES_SENT should always be number of bytes sent.


Additional info:
Comment 1 JW 2005-11-23 20:04:06 EST
Created attachment 121430 [details]
Extends size of stats variables and corrects negative minutes

One day the kernel driver will keep stats in __u64.  When that happens pppd
will be ready.
Comment 2 Christian Iseli 2007-01-19 19:48:33 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 JW 2007-01-19 20:01:44 EST
Wouldn't it just be easier to check it out yourself?
I have submitted the patch.  See if the patch works (on FC4) then see if it
works on latest release.

I have ALREADY SOLVED A PROBLEM and have been generous enough to let other
people know by submitting a patch.

IT IS UP TO OTHER PEOPLE to decide whether they want this patch. Don't throw it
back at me after REFUSING TO BOTHER LOOKING AT IT AND ASSESSING IT.
Comment 4 Matthew Miller 2007-04-10 15:44:43 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 5 JW 2007-04-10 20:21:46 EDT
Applicable to Fedora Core 6. Sorry about this.
Comment 6 Martin Nagy 2008-03-06 16:35:25 EST
Are you sure about the patch?
-      int t = (link_connect_time + 5) / 6;    /* 1/10ths of minutes */
+      unsigned int t = (link_connect_time + 5) / 6;    /* 1/10ths of minutes */
I don't think this is necessary.
-      info("Connect time %d.%d minutes.", t/10, t%10);
+      info("Connect time %u.%u minutes.", t/10, t%10);
This as well.
-	    link_stats.bytes_out, link_stats.bytes_in);
+	    (int)link_stats.bytes_out, (int)link_stats.bytes_in);
Didn't you meant to cast these to unsigned? And it would be better if we
wouldn't have to cast them in the first place..

Also, does the patch do any good at all since the kernel uses __u32 (equivalent
to unsigned int on most architectures)?
Comment 7 JW 2008-03-06 17:12:49 EST
You need to understand how %u and %d work.
They don't know the type (unsigned/signed) of their argument.

And it doesn't matter what the kernel uses. Again you have to understand how
%d/%u work.

Do you understand how %d/%u work in printf-like info?

But in any case the patch fixes the problem.  And all of the patch content is
necessary to stop incorrect display of values.

Comment 8 Martin Nagy 2008-03-12 12:51:00 EDT
Have you also tried and tested this patch against 2.4.4? If yes, it would be
very cool of you if you could attach the new patch (well, at least the offsets
would be corrected).
Comment 9 Bug Zapper 2008-04-03 22:04:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-11-26 01:53:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 01:55:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.